<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/login.css" />
  <link
    href="https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap" rel="stylesheet"
  />
  <title>Login</title>
</head>
<body>
  <div class="login-box">
    <h1>Login</h1>
    <form>
      <label>Email</label>
      <input type="email" id = "email" />
      <label>Password</label>
      <input type="password" id = "pw" />
      <input type="button" onclick= "login()" value="Submit"/>
  </form>
  </div>
  <p class="para-2">
    Not have an account? <a href="signup.html">Sign Up Here</a>
  </p>
  <script src="js/login.js"></script>
  <script>
    function login() {
    var _data = {
    email : document.getElementById("email").value,
    password : document.getElementById("pw").value
    }
    fetch('/login', {
    method: "POST",
    body: JSON.stringify(_data),
    headers: {"Content-type": "application/json; charset=UTF-8"}
    })
    .then(response => {
    if (response.ok) {
    window.open("student.html", "_self")
    } else {
    throw new Error(response.statusText)
    }
    }).catch(e => {
    if (e == "Error: Unauthorized") {
    alert(e+ ". Credentials does not match!")
    return
    }
    });
    }
  </script>
</body>
</html>

